Переполнение буфера в Zoo

Дата публикации:
27.02.2006
Дата изменения:
17.10.2006
Всего просмотров:
886
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
zoo 2.x
Уязвимые версии: Zoo 2.10, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки в функции "fullpath()" в файле misc.c. Удаленный пользователь может с помощью специально сформированного Zoo архива, содержащего файл с длинным именем, вызвать переполнение буфера и выполнить произвольный код на целевой системе.

URL производителя: packages.qa.debian.org/z/zoo.html

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: zoo contains exploitable buffer overflows

или введите имя

CAPTCHA